### Method

# Gimp Resource rename

unstable since: 3.0

#### Declaration [src]

    gboolean
    gimp_resource_rename (
      GimpResource* resource,
      const gchar* new_name
    )

#### Description [src]

Renames a resource. When the name is in use, renames to a unique name.

Renames a resource. When the proposed name is already used, GIMP generates a unique name.

Available since: 3.0

#### Parameters

`new_name`

  Type: `const gchar*`

  The proposed new name of the resource.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gboolean`

TRUE on success.